Bug 749927 - Java class conflicts using Java 7 in Fedora 17 (rawhide) . . .
Summary: Java class conflicts using Java 7 in Fedora 17 (rawhide) . . .
Keywords:
Status: CLOSED EOL
Alias: None
Product: Dogtag Certificate System
Classification: Retired
Component: CA
Version: 9.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Harmsen
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-28 21:38 UTC by Matthew Harmsen
Modified: 2020-03-27 18:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 18:36:24 UTC


Attachments (Terms of Use)
Fix class conflicts when using Java 7 . . . (750 bytes, patch)
2011-10-29 00:01 UTC, Matthew Harmsen
awnuk: review+
Details | Diff

Description Matthew Harmsen 2011-10-28 21:38:07 UTC
When building the 'pki-core' package using Java 7 on Fedora 17 (rawhide), the following errors are encountered:

com/netscape/ca/CAService.java:646: error: reference to Extension is ambiguous, both interface java.security.cert.Extension in java.security.cert and class netscape.security.x509.Extension in netscape.security.x509 match^M
                        Extension ext = (Extension) e.nextElement();^M
                        ^^M
com/netscape/ca/CAService.java:646: error: reference to Extension is ambiguous, both interface java.security.cert.Extension in java.security.cert and class netscape.security.x509.Extension in netscape.security.x509 match^M
                        Extension ext = (Extension) e.nextElement();^M
                                         ^^M

Comment 1 Matthew Harmsen 2011-10-29 00:01:04 UTC
Created attachment 530756 [details]
Fix class conflicts when using Java 7 . . .

Comment 2 Matthew Harmsen 2011-10-29 00:15:01 UTC
TIP:

# cd pki

# svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M       base/ca/src/com/netscape/ca/CAService.java

# svn commit
Sending        base/ca/src/com/netscape/ca/CAService.java
Transmitting file data .
Committed revision 2275.


Note You need to log in before you can comment on or make changes to this bug.